<h1 align="center">Hi! I'm Elara</h3>
<p align="center">I'm a FOSS developer who loves writing code and solving problems</p>

<p align="center">
  <a href="https://github.com/Elara6331"><img alt="Github Badge" src="https://img.shields.io/badge/github-0D1117?logo=github&logoColor=white&style=for-the-badge"></a>&nbsp;
  <a href="https://www.elara.ws"><img alt="Website Badge" src="https://img.shields.io/badge/Website-blue?style=for-the-badge"></a>&nbsp;
  <a href="https://www.elara.ws/articles/index.xml"><img alt="RSS Badge" src="https://img.shields.io/badge/RSS-orange?style=for-the-badge&logo=rss&logoColor=white"></a>
</p>


## 💡 Interests

- Software Engineering
- Embedded Programming
- Server Administration
- Networking
- Electronics
- IoT

## 📋 Learning

- Zig
- Linux GPIO interface
- Linux I²C interface

## 📦 Projects I use

**Languages:**

> [![Go](https://api.iconify.design/devicon/go.svg?height=32 "Go")](https://go.dev/) &nbsp;
[<img src="https://tinygo.org/images/tinygo-logo.png" alt="TinyGo" title="TinyGo" height=32>](https://tinygo.org/) &nbsp;
[![Zig](https://api.iconify.design/devicon/zig.svg?color=white&height=32 "Zig")](https://ziglang.org) &nbsp;
[![Rust](https://api.iconify.design/skill-icons/rust.svg?color=white&height=32 "Rust")](https://www.rust-lang.org/) &nbsp;
![C](https://api.iconify.design/devicon/c.svg?color=white&height=32 "C") &nbsp;
[![Ruby](https://api.iconify.design/logos/ruby.svg?height=32 "Ruby")](https://www.ruby-lang.org/en/) &nbsp;
![Bash](https://api.iconify.design/skill-icons/bash-dark.svg?color=white&height=32 "Bash") &nbsp;
![JavaScript](https://api.iconify.design/logos/javascript.svg?height=32 "JavaScript") &nbsp;
![HTML5](https://api.iconify.design/skill-icons/html.svg?height=32 "HTML") &nbsp;
![CSS3](https://api.iconify.design/skill-icons/css.svg?height=32 "CSS") &nbsp;

**Frameworks and Libraries:**


> [![Bulma](https://api.iconify.design/logos/bulma.svg?height=32 "Bulma")](https://bulma.io/) &nbsp;
[![Svelte](https://api.iconify.design/devicon/svelte.svg?height=32 "Svelte")](https://svelte.dev/) &nbsp;
[<img src="https://lure.sh/lure-no-text.svg" alt="LURE" title="LURE" height=32>](https://lure.sh) &nbsp;
[![SQLite](https://api.iconify.design/devicon/sqlite.svg?height=32 "SQLite")](https://www.sqlite.org/) &nbsp;

**DevOps and Sysadmin:**

> [![Docker](https://api.iconify.design/logos/docker-icon.svg?height=32 "Docker")](https://www.docker.com/) &nbsp;
[![Nomad](https://api.iconify.design/devicon/nomad.svg?height=32 "Nomad")](https://nomadproject.io/) &nbsp;
[![Consul](https://api.iconify.design/devicon/consul.svg?height=32 "Consul")](https://consul.io) &nbsp;
[![Traefik](https://api.iconify.design/devicon/traefikproxy.svg?height=32 "Traefik Proxy")](https://traefik.io/traefik) &nbsp;
[![Nginx](https://api.iconify.design/logos/nginx.svg?height=32 "Nginx")](https://nginx.org/) &nbsp;
[![Gitea](https://api.iconify.design/simple-icons/gitea.svg?color=%23609926&height=32 "Gitea")](https://gitea.elara.ws/) &nbsp;
[<img src="https://api.minio.elara.ws/adl/woodpecker-ci.png" alt="Woodpecker CI" title="Woodpecker CI" height=32>](https://woodpecker-ci.org/) &nbsp;
[![Raspberry Pi](https://api.iconify.design/logos/raspberry-pi.svg?height=32 "Raspberry Pi")](https://www.raspberrypi.com/) &nbsp;
[![RISC-V](https://api.iconify.design/simple-icons/riscv.svg?height=32&color=%23E09A19 "RISC-V")](https://riscv.org/) &nbsp;

**Operating Systems:**

> [![Linux](https://api.iconify.design/flat-color-icons/linux.svg?height=32 "Linux")](https://www.kernel.org/) &nbsp;
[![Debian](https://api.iconify.design/logos/debian.svg?height=32 "Debian")](https://www.debian.org/) &nbsp;
[![Arch Linux](https://api.iconify.design/logos/archlinux.svg?height=32 "Debian")](https://www.archlinux.org/) &nbsp;
[![OpenSUSE](https://api.iconify.design/devicon/opensuse.svg?height=32 "OpenSUSE")](https://www.opensuse.org/) &nbsp;

**Services:**

> [![Home Assistant](https://api.iconify.design/mdi/home-assistant.svg?height=32&color=%233FBAF0 "Home Assistant")](https://www.home-assistant.io//) &nbsp;
[![Matrix](https://api.iconify.design/tabler/brand-matrix.svg?height=32&color=%23AAAAAA "Matrix")](https://matrix.org/) &nbsp;
[![Lemmy](https://api.iconify.design/simple-icons/lemmy.svg?height=32&color=%23AAAAAA "Lemmy")](https://join-lemmy.org/) &nbsp;
[![SearXNG](https://api.iconify.design/simple-icons/searxng.svg?height=32&color=%233050FF "SearXNG")](https://docs.searxng.org/) &nbsp;
[![Nextcloud](https://api.iconify.design/simple-icons/nextcloud.svg?height=32&color=%230068A1 "Nextcloud")](https://nextcloud.com/athome/) &nbsp;

**Apps:**

> [![Lapce](https://api.iconify.design/simple-icons/lapce.svg?height=32&color=%233192d6 "Lapce")](https://lapce.dev/) &nbsp;
[![KeePassXC](https://api.iconify.design/simple-icons/keepassxc.svg?height=32&color=%23559B30 "KeePassXC")](https://keepassxc.org/) &nbsp;
[![Wayland](https://api.iconify.design/simple-icons/wayland.svg?height=32&color=%23FFBC00 "Wayland")](https://wayland.freedesktop.org/) &nbsp;
[![Firefox](https://api.iconify.design/logos/firefox.svg?height=32 "Firefox")](https://www.mozilla.org/en-US/firefox/) &nbsp;

## ❤️ Donate

If you like my work and would like to support me, you can donate on LiberaPay or via crypto:

[![LiberaPay Badge](https://img.shields.io/badge/Donate-F6C915?style=for-the-badge&logo=liberapay&logoColor=black)](https://liberapay.com/Elara6331/)

Monero:
```text
47bS62nDtEvZadraJgXTfgC58vqCsNXoefMqQY4kgB2p3x4mwfy6CCw4iP5htnX9becaumQrtuKYTVZnfVQGP4pn23nMCAZ
```

Litecoin:
```text
LMSwGbSo89wHsNtjtsHcCBigauSe8LWfqU
```

Bitcoin:
```text
bc1q4r5yd2jkq2hrufmdp0plcnzactj2twhux042ds
```